Perfect Setup and Requirements

Discussion in 'General' started by dayjahone, May 18, 2011.

  1. dayjahone

    dayjahone Member

    I did the perfect setup for ISPC2 and am wondering if I have the following php and mySQL requirements to run a magento e-commerce site:

    Required extensions:
    -SOAP (if Webservices API is to be used)

    -4.1.20 or newer
    -innoDB storage engine
  2. falko

    falko Super Moderator ISPConfig Developer

    What's the exact URL of the tutorial you used?
  3. dayjahone

    dayjahone Member

  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Might be that php is too old. Check it with:

    php -v

    I'am also not sure if all php extions are installed. The easiest way to find that out is to install magento. The magento installer will tell you then if something is missing.
  5. dayjahone

    dayjahone Member

    The PHP on the server is newer, so we're fine there. Which extensions are you not sure about, and is there any way to confirm? I don't want to buy magento and the friend won't want to move his site unless we're relatively sure it will work.
  6. till

    till Super Moderator Staff Member ISPConfig Developer

    Magento should work on your server. It might just be that you have to install a missing extension. E.g. like curl

    You can install them with:

    apt-get install php5-curl

    If you want to test it, just download magento and install it. Magento has a free edition as well.

    You can also check your php modules with the phpinfo() function.

Share This Page